"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removePackageJson = void 0;
const upath_1 = require("@ewizardjs/upath");
const fs_extra_1 = require("fs-extra");
function removePackageJson(dest) {
    return Promise.all([
        (0, fs_extra_1.remove)((0, upath_1.join)(dest, 'package.json')),
        (0, fs_extra_1.remove)((0, upath_1.join)(dest, 'package-lock.json')),
    ]);
}
exports.removePackageJson = removePackageJson;
//# sourceMappingURL=removePackageJson.js.map