"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAction = void 0;
const content_types_1 = require("@ewizardjs/content-types");
const WizError_1 = require("../../modules/WizError");
const getContentType_1 = require("../getContentType");
const action_1 = require("./action");
exports.createAction = (0, getContentType_1.default)(getScreenActionByType);
function getScreenActionByType(type) {
    if (type === content_types_1.ContentTypes.EMAIL) {
        return action_1.screenAction;
    }
    throw new WizError_1.WizError('NOT_SUPPORTED_CONTENT_TYPE', type);
}
//# sourceMappingURL=index.js.map