"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const winston = require("winston");
const I18n_1 = require("../../modules/I18n");
function default_1(arg) {
    if (typeof arg === 'string' && !/^-(.+)/.test(arg)) {
        return arg;
    }
    winston.error(I18n_1.default.error('INCORRECT_COMMAND', arg));
    process.exit(1);
}
exports.default = default_1;
//# sourceMappingURL=checkArgument.js.map