"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.requirePuppeteer = void 0;
const lazyRequire_1 = require("../../bin/utils/lazyRequire");
const Config_1 = require("../../modules/Config");
function requirePuppeteer() {
    return __awaiter(this, void 0, void 0, function* () {
        const requireScreenshoter = yield (0, lazyRequire_1.default)(Config_1.Config.getSync().screenshoter, { unsafe: true });
        if (requireScreenshoter) {
            return require('@ewizardjs/screenshoter/node_modules/puppeteer/');
        }
    });
}
exports.requirePuppeteer = requirePuppeteer;
//# sourceMappingURL=requirePuppeteer.js.map