import type { ContentType } from '../../../modules/TemplateTypesList';
export default function initAction(content: ContentType, options: InitOptions): Promise<void>;
export interface InitOptions {
    baseDirectory: string;
    name?: string;
    id?: string;
    default?: boolean;
    template?: string;
    version?: string;
    currentDir?: boolean;
    answers?: {
        [key: string]: any;
    };
    registry?: string;
    token?: string;
}
