import type { TargetCLMs } from '@ewizardjs/settings';
export interface ArchiverOptions {
    layout?: string;
    name?: string;
    target?: keyof typeof TargetCLMs;
    theme?: string;
    scheme?: string;
    rootPath: string;
    archiveDest?: string;
}
export interface EmailArchiverOptions extends ArchiverOptions {
    files: string[];
}
export interface ArchiverCommanderOptions extends Omit<ArchiverOptions, 'layout' | 'rootPath'> {
    layout?: string[];
    from?: string[];
    fromAll?: boolean;
}
