import type { SettingsJson } from '@ewizardjs/settings';
import type { OptionValues } from 'commander';
export interface ThumbsOptions extends OptionValues {
    slides?: string;
    id?: string[];
    delay?: string;
}
export interface ThumbScreenerOptions {
    root: string;
    disableLogs: boolean;
    settings: SettingsJson;
    delay?: number;
    requiredIds?: string[];
    currentTheme?: string;
    themesList?: string[];
    rendererOptions?: {
        headless?: string;
    };
}
