import type MergeTool from '../Api/versionControl/MergeTool';
import type { Content } from '../interfaces/UpstreamContent.interface';
export interface VcsInfo {
    id: string;
    version?: string;
}
export interface TaskContext {
    vscInfo?: VcsInfo;
    downloadedArchivePath?: string;
    downloadedArchives?: {
        latest: string;
        base: string;
    };
    archivePath?: string;
    downloadUrl?: string;
    destinationPath?: string;
    nothingToUpdate?: boolean;
    contentType?: string;
    projectName?: string;
    content?: Content;
    hasNewerVersionOnRemote?: boolean;
    mergeTool?: MergeTool;
    fallbackMode?: boolean;
    confirmed?: boolean;
}
