import Request from '../Request';
import type AuthService from '../interfaces/AuthService';
import type IRequest from '../interfaces/IRequest';
import type { ITokenHandler } from '../Token-handler/ITokenHandler';
export default class SecureRequest extends Request implements IRequest {
    private tokenHandler;
    private authService;
    constructor(tokenHandler: ITokenHandler, authService: AuthService);
    get(url: string, options?: any): Promise<any>;
    post(url: string, options?: any): Promise<any>;
    put(url: string, options?: any): Promise<any>;
    patch(url: string, options?: any): Promise<any>;
    delete(url: string, options?: any): Promise<any>;
    private sendRequest;
    private createRequestWithAuth;
    private refreshTokenAndTryAgain;
}
