"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTemplateVersion = void 0;
const simple_git_1 = require("simple-git");
function getTemplateVersion(path) {
    try {
        return (0, simple_git_1.default)(path).revparse(['HEAD']).catch(() => undefined);
    }
    catch (error) {
        return undefined;
    }
}
exports.getTemplateVersion = getTemplateVersion;
//# sourceMappingURL=getTemplateVersion.js.map