"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.componentAction = void 0;
const node_path_1 = require("node:path");
const component_builder_1 = require("@ewizardjs/component-builder");
function componentAction(componentPath, options) {
    return __awaiter(this, void 0, void 0, function* () {
        const destinationPath = (0, node_path_1.join)(componentPath, 'dist');
        const componentBuilder = new component_builder_1.ComponentBuilder(componentPath, destinationPath, options);
        return componentBuilder.build();
    });
}
exports.componentAction = componentAction;
//# sourceMappingURL=action.js.map