"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAction = void 0;
const content_types_1 = require("@ewizardjs/content-types");
const getContentType_1 = require("../getContentType");
const action_1 = require("./action");
const component_action_1 = require("./component.action");
const module_action_1 = require("./module.action");
exports.createAction = (0, getContentType_1.default)(createActionByType);
function createActionByType(type) {
    switch (type) {
        case content_types_1.ContentTypes.COMPONENT:
            return component_action_1.devComponentAction;
        case content_types_1.ContentTypes.MODULE:
            return module_action_1.devModuleAction;
        default:
            return action_1.devAction;
    }
}
//# sourceMappingURL=index.js.map