"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const updateNotifier = require("update-notifier");
const packageJson = require('../../../package.json');
function checkForUpdates() {
    updateNotifier({
        pkg: packageJson,
    }).notify({
        isGlobal: true,
        defer: true,
        boxenOpts: {
            borderColor: 'cyan',
            padding: 1,
            margin: 1,
            align: 'center',
        },
    });
}
exports.default = checkForUpdates;
//# sourceMappingURL=checkForUpdate.js.map