"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = require("chalk");
const semver = require("semver");
const packageJson = require('../../../package.json');
function checkNodeVersion() {
    if (!semver.satisfies(process.version, packageJson.engines.node)) {
        console.log();
        console.log(chalk_1.default.red(`You are using Node ${process.version}, 
      but this version of ewizard-cli requires Node ${packageJson.engines.node}\nPlease upgrade your Node version.`));
        process.exit(1);
    }
}
exports.default = checkNodeVersion;
//# sourceMappingURL=checkNodeVersion.js.map