"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commander = require("commander");
const configureHelpOptions_1 = require("../utils/configureHelpOptions");
commander
    .name('wiz screen')
    .usage('<command> [options]')
    .command('preview', 'Make preview image of email')
    .command('block [options]', 'Make icon images for blocks')
    .description('Generate screenshots. Specify command, please')
    .configureHelp({
    optionDescription: configureHelpOptions_1.capitalizeOptionDescription,
    subcommandDescription: configureHelpOptions_1.capitalizeSubcommandDescription,
    visibleCommands: configureHelpOptions_1.visibleCommandsNoHelp,
})
    .parse(process.argv);
//# sourceMappingURL=wiz-screen.js.map