"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRevertedIgnorePatterns = void 0;
function getRevertedIgnorePatterns(ignorePatterns = []) {
    return ignorePatterns.map((pattern) => removeTrailingSlash(getRevertedIgnorePattern(pattern)));
}
exports.getRevertedIgnorePatterns = getRevertedIgnorePatterns;
function getRevertedIgnorePattern(pattern) {
    return pattern.startsWith('!') ? pattern.replace(/^!/, '') : `!${pattern}`;
}
function removeTrailingSlash(pattern) {
    return pattern.replace(/\/$/, '');
}
//# sourceMappingURL=utils.js.map