import type { Observable } from 'rxjs';
export declare function createSlides$(type: string, dir: string, slides: string[]): Observable<SlideStatus>;
export declare function createSlide$(templatePath: string, dir: string): (id: string) => Observable<SlideStatus>;
export declare function getSuccesSlides$(generation$: Observable<SlideStatus>): Observable<string[]>;
export declare function createSlide(templatePath: string, dir: string, slideId: string): Promise<SlideStatus>;
export declare function slideExistsAssert(exists: boolean, slideId: string): void | never;
export declare function slideExists(path: string): Promise<boolean>;
export declare function copyDefaultSlide(pathToTemplateSlide: string, destinationPath: string): Promise<void>;
export interface SlideStatus {
    slide: string;
    status: string;
    message?: string;
}
