import type { ListrContext, ListrTaskWrapper } from 'listr2';
export interface UpdateOptions {
    major?: boolean;
    skip?: string[];
    install?: boolean;
}
export interface VersionOptions {
    major?: boolean;
    name: string;
    task: ListrTaskWrapper<ListrContext, any>;
}
export interface Dependency {
    name: string;
    url: string;
    tags?: string[];
    message: string;
}
export type DependenciesRecord = Record<string, string>;
