export type VueFilePath = `${string}.vue`;
export declare const generateContentfulIds: (contentPath: string, idAttribite: string) => Promise<void[]>;
export declare const getMandatoryFiles: (contentPath: string, contentType: string) => Promise<VueFilePath[]>;
export declare const identifyVueFile: (filePath: VueFilePath, contentPath: string, idAttribite: string) => Promise<void>;
export declare const templateWrapperTag: "custom-wrapper";
export declare const identifyTemplateNodes: (template: string, idAttribite: string, idProcessor?: (id: string) => string) => string;
export declare function wrapTemplate(templatecontent: string): `<${typeof templateWrapperTag}>${string}</${typeof templateWrapperTag}>`;
