"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.visibleCommandsNoHelp = exports.capitalizeSubcommandDescription = exports.capitalizeOptionDescription = void 0;
const lodash_1 = require("lodash");
function capitalizeOptionDescription(option) {
    return (0, lodash_1.capitalize)(option.description);
}
exports.capitalizeOptionDescription = capitalizeOptionDescription;
function capitalizeSubcommandDescription(cmd) {
    return (0, lodash_1.capitalize)(cmd.description());
}
exports.capitalizeSubcommandDescription = capitalizeSubcommandDescription;
function visibleCommandsNoHelp(cmd) {
    return cmd.commands.filter((cmd) => cmd.name() !== 'help');
}
exports.visibleCommandsNoHelp = visibleCommandsNoHelp;
//# sourceMappingURL=configureHelpOptions.js.map